/**
 * @license
 * Copyright 2022 Dynatrace LLC
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import Location from './location';

it('should return location properties', () => {
  const url = new URL('http://localhost.test');

  const location = new Location(url.toString());

  expect(location.hash).toBe(url.hash);
  expect(location.host).toBe(url.host);
  expect(location.hostname).toBe(url.hostname);
  expect(location.href).toBe(url.href);
  expect(location.origin).toBe(url.origin);
  expect(location.pathname).toBe(url.pathname);
  expect(location.pathname).toBe(url.pathname);
  expect(location.port).toBe(url.port);
  expect(location.protocol).toBe(url.protocol);
  expect(location.search).toBe(url.search);
});
