/**
 * @license
 * Copyright 2022 Dynatrace LLC
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/// <reference path="global.d.ts" />
/// <reference path="runtime.d.ts" />
/// <reference no-default-lib="true" />

declare var console: Console;
declare var location: Location;
declare var navigator: Navigator;
declare var window: Window;
declare var self: Window & typeof globalThis;
declare function clearInterval(handle?: number): void;
declare function clearTimeout(handle?: number): void;
declare function queueMicrotask(callback: VoidFunction): void;
declare function setInterval(
  handler: TimerHandler,
  timeout?: number,
  ...arguments: any[]
): number;
declare function setTimeout(
  handler: TimerHandler,
  timeout?: number,
  ...arguments: any[]
): number;
